PHP Manual
Prev |  | Next

# DOMDocument->relaxNGValidate()

(no version information, might be only in CVS)

DOMDocument->relaxNGValidate() -- Performs relaxNG validation on the document

## Description

class DOMDocument {
bool relaxNGValidate ( string filename )
}

Performs relaxNG validation on the document based on the given RNG schema.

## Parameters

filename

  The RNG file.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

DOMDocument->relaxNGValidateSource()
DOMDocument->schemaValidate()
DOMDocument->schemaValidateSource()
DOMDocument->validate()

Prev | Home | Next
DOMDocument->normalize() | Up | DOMDocument->relaxNGValidateSource()